# Greek
_greek_capitals = {
    "*A": 0x0391,  # Α (Alpha)
    "*B": 0x0392,  # Β (Beta)
    "*C": 0x039E,  # Ξ (Xi)
    "*D": 0x0394,  # Δ (Delta)
    "*E": 0x0395,  # Ε (Epsilon)
    "*F": 0x03A6,  # Φ (Phi)
    "*G": 0x0393,  # Γ (Gamma)
    "*H": 0x0397,  # Η (Eta)
    "*I": 0x0399,  # Ι (Iota)
    "*K": 0x039A,  # Κ (Kappa)
    "*L": 0x039B,  # Λ (Lambda)
    "*M": 0x039C,  # Μ (Mu)
    "*N": 0x039D,  # Ν (Nu)
    "*O": 0x039F,  # Ο (Omicron)
    "*P": 0x03A0,  # Π (Pi)
    "*Q": 0x0398,  # Θ (Theta)
    "*R": 0x03A1,  # Ρ (Rho)
    "*S3": 0x03F9, # Ϲ (Lunate Sigma)
    "*S": 0x03A3,  # Σ (Sigma)
    "*T": 0x03A4,  # Τ (Tau)
    "*U": 0x03A5,  # Υ (Upsilon)
    "*V": 0x03DC,  # Ϝ (Digamma)
    "*W": 0x03A9,  # Ω (Omega)
    "*X": 0x03A7,  # Χ (Chi)
    "*Y": 0x03A8,  # Ψ (Psi)
    "*Z": 0x0396,  # Ζ (Zeta)
}

_greek_lowers = {
    "A": 0x03B1,   # α (alpha)
    "B": 0x03B2,   # β (beta)
    "C": 0x03BE,   # ξ (xi)
    "D": 0x03B4,   # δ (delta)
    "E": 0x03B5,   # ε (epsilon)
    "F": 0x03C6,   # φ (phi)
    "G": 0x03B3,   # γ (gamma)
    "H": 0x03B7,   # η (eta)
    "I": 0x03B9,   # ι (iota)
    "K": 0x03BA,   # κ (kappa)
    "L": 0x03BB,   # λ (lambda)
    "M": 0x03BC,   # μ (mu)
    "N": 0x03BD,   # ν (nu)
    "O": 0x03BF,   # ο (omicron)
    "P": 0x03C0,   # π (pi)
    "Q": 0x03B8,   # θ (theta)
    "R": 0x03C1,   # ρ (rho)
    "S": 0x03C3,   # σ (sigma)
    "T": 0x03C4,   # τ (tau)
    "U": 0x03C5,   # υ (upsilon)
    "V": 0x03DD,   # ϝ (digamma)
    "W": 0x03C9,   # ω (omega)
    "X": 0x03C7,   # χ (chi)
    "Y": 0x03C8,   # ψ (psi)
    "Z": 0x03B6,   # ζ (zeta)
}

_greek_special_cases = {
    "S1": 0x03C3,  # σ (Medial Sigma)
    "S2": 0x03C2,  # ς (Final Sigma)
    "S3": 0x03F2,  # ϲ (Lunate Sigma)
}

_greek_accents = {
    "\\": 0x0300, # ◌̀  (Grave)
    "/": 0x0301,  # ◌́  (Acute)
    "+": 0x0308,  # ◌̈  (Diaeresis)
    ")": 0x0313,  # ◌̓  (Smooth Breathing)
    "(": 0x0314,  # ◌̔  (Rough Breathing)
    "?": 0x0323,  # ◌̣  (Dot Below)
    "=": 0x0342,  # ◌͂  (Circumflex)
    "|": 0x0345,  # ◌ͅ  (Iota Subscript)
}

_greek_punctuation = {
    ":": 0x00B7,  # ·  (Middle Dot)
    "#": 0x0374,  # ʹ  (Numerical Sign)
}