# Hebrew (TLG Modern)
_hebrew_alphabet = {
    "A": 0x05D0, # א (Alef)
    "a": 0x05E2, # ע (Ayin)
    "b": 0x05D1, # ב (Bet)
    "d": 0x05D3, # ד (Dalet)
    "g": 0x05D2, # ג (Gimel)
    "h": 0x05D4, # ה (He)
    "H": 0x05D7, # ח (Het)
    "l": 0x05DC, # ל (Lamed)
    "Q": 0x05D8, # ט (Tet)
    "q": 0x05E7, # ק (Qof)
    "r": 0x05E8, # ר (Resh)
    "S": 0x05E1, # ס (Samekh)
    "s": 0x05E9, # ש (Shin)
    "t": 0x05EA, # ת (Tav)
    "v": 0x05D5, # ו (Vav)
    "y": 0x05D9, # י (Yod)
    "z": 0x05D6, # ז (Zayin)
}

_hebrew_special_cases = {
    "k1": 0x05DB, # כ (Kaf)
    "k2": 0x05DA, # ך (Final Kaf)
    "m1": 0x05DE, # מ (Mem)
    "m2": 0x05DD, # ם (Final Mem)
    "n1": 0x05E0, # נ (Nun)
    "n2": 0x05DF, # ן (Final Nun)
    "p1": 0x05E4, # פ (Pe)
    "p2": 0x05E3, # ף (Final Pe)
    "T1": 0x05E6, # צ (Tsadi)
    "T2": 0x05E5, # ץ (Final Tsadi)
}

# Hebrew (CCAT/CATSS/TLG)
_old_hebrew_alphabet = {
    ")": 0x05D0,  # א (Alef)
    "B": 0x05D1,  # ב (Bet)
    "G": 0x05D2,  # ג (Gimel)
    "D": 0x05D3,  # ד (Dalet)
    "H": 0x05D4,  # ה (He)
    "W": 0x05D5,  # ו (Waw)
    "Z": 0x05D6,  # ז (Zayin)
    "X": 0x05D7,  # ח (Het)
    "+": 0x05D8,  # ט (Tet)
    "Y": 0x05D9,  # י (Yod)
    "K": 0x05DB,  # כ (Kaf)
    "L": 0x05DC,  # ל (Lamed)
    "M": 0x05DE,  # מ (Mem)
    "N": 0x05E0,  # נ (Nun)
    "S": 0x05E1,  # ס (Samekh)
    "(": 0x05E2,  # ע (Ayin)
    "P": 0x05E4,  # פ (Pe)
    "C": 0x05E6,  # צ (Zade)
    "Q": 0x05E7,  # ק (Qof)
    "R": 0x05E8,  # ר (Resh)
    "#": 0x05E9,  # ש (Shin/Sin)
    "&": 0xFB2B,  # שׂ (Sin - distinct form)
    "$": 0xFB2A,  # שׁ (Shin - distinct form)
    "T": 0x05EA   # ת (Taw)
}

_old_hebrew_special_cases = {
    "K": 0x05DA, # ך (Final Kaf)
    "M": 0x05DD, # ם (Final Mem)
    "N": 0x05DF, # ן (Final Nun)
    "P": 0x05E3, # ף (Final Pe)
    "C": 0x05E5, # ץ (Final Tsadi)
}
